Package de.gebit.integrity.services

## Class DSLGrammarAccess

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess`

      public class DSLGrammarAccess
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `DSLGrammarAccess.ArbitraryParameterOrResultNameElements` |
    `class` | `DSLGrammarAccess.BooleanValueElements` |
    `class` | `DSLGrammarAccess.CallDefinitionElements` |
    `class` | `DSLGrammarAccess.CallElements` |
    `class` | `DSLGrammarAccess.ConstantDefinitionElements` |
    `class` | `DSLGrammarAccess.ConstantElements` |
    `class` | `DSLGrammarAccess.ConstantEntityElements` |
    `class` | `DSLGrammarAccess.ConstantValueElements` |
    `class` | `DSLGrammarAccess.CustomOperationElements` |
    `class` | `DSLGrammarAccess.DateAndTimeValueElements` |
    `class` | `DSLGrammarAccess.DateValueElements` |
    `class` | `DSLGrammarAccess.DecimalValueElements` |
    `class` | `DSLGrammarAccess.DocumentationCommentElements` |
    `class` | `DSLGrammarAccess.EmptyValueElements` |
    `class` | `DSLGrammarAccess.EnumValueElements` |
    `class` | `DSLGrammarAccess.EuropeanDateAnd12HrsTimeValueElements` |
    `class` | `DSLGrammarAccess.EuropeanDateAnd24HrsTimeValueElements` |
    `class` | `DSLGrammarAccess.EuropeanDateValueElements` |
    `class` | `DSLGrammarAccess.ExecutionMultiplierElements` |
    `class` | `DSLGrammarAccess.FixedParameterNameElements` |
    `class` | `DSLGrammarAccess.FixedResultNameElements` |
    `class` | `DSLGrammarAccess.ForkDefinitionElements` |
    `class` | `DSLGrammarAccess.ForkParameterElements` |
    `class` | `DSLGrammarAccess.ImportElements` |
    `class` | `DSLGrammarAccess.InexistentValueElements` |
    `class` | `DSLGrammarAccess.IntegerValueElements` |
    `class` | `DSLGrammarAccess.IsoDateAndTimeValueElements` |
    `class` | `DSLGrammarAccess.IsoDateValueElements` |
    `class` | `DSLGrammarAccess.IsoTimeValueElements` |
    `class` | `DSLGrammarAccess.JavaClassReferenceElements` |
    `class` | `DSLGrammarAccess.JavaConstantReferenceElements` |
    `class` | `DSLGrammarAccess.JavaConstantValueElements` |
    `class` | `DSLGrammarAccess.KeyValuePairElements` |
    `class` | `DSLGrammarAccess.MethodReferenceElements` |
    `class` | `DSLGrammarAccess.ModelElements` |
    `class` | `DSLGrammarAccess.NamedCallResultElements` |
    `class` | `DSLGrammarAccess.NamedResultElements` |
    `class` | `DSLGrammarAccess.NestedObjectElements` |
    `class` | `DSLGrammarAccess.NLElements` |
    `class` | `DSLGrammarAccess.NLFORCEDElements` |
    `class` | `DSLGrammarAccess.NullValueElements` |
    `class` | `DSLGrammarAccess.OperationDefinitionElements` |
    `class` | `DSLGrammarAccess.OperationElements` |
    `class` | `DSLGrammarAccess.PackageDefinitionElements` |
    `class` | `DSLGrammarAccess.PackageStatementElements` |
    `class` | `DSLGrammarAccess.ParameterElements` |
    `class` | `DSLGrammarAccess.ParameterNameElements` |
    `class` | `DSLGrammarAccess.ParameterTableHeaderElements` |
    `class` | `DSLGrammarAccess.ParameterTableValueElements` |
    `class` | `DSLGrammarAccess.QualifiedJavaClassNameElements` |
    `class` | `DSLGrammarAccess.QualifiedNameElements` |
    `class` | `DSLGrammarAccess.QualifiedNameWithWildcardElements` |
    `class` | `DSLGrammarAccess.RegexValueElements` |
    `class` | `DSLGrammarAccess.ResultNameElements` |
    `class` | `DSLGrammarAccess.ResultTableHeaderElements` |
    `class` | `DSLGrammarAccess.Simple12HrsTimeValueElements` |
    `class` | `DSLGrammarAccess.Simple24HrsTimeValueElements` |
    `class` | `DSLGrammarAccess.StandardOperationElements` |
    `class` | `DSLGrammarAccess.StatementElements` |
    `class` | `DSLGrammarAccess.StaticValueElements` |
    `class` | `DSLGrammarAccess.StringValueElements` |
    `class` | `DSLGrammarAccess.SuiteDefinitionElements` |
    `class` | `DSLGrammarAccess.SuiteElements` |
    `class` | `DSLGrammarAccess.SuiteParameterDefinitionElements` |
    `class` | `DSLGrammarAccess.SuiteParameterElements` |
    `class` | `DSLGrammarAccess.SuiteReturnDefinitionElements` |
    `class` | `DSLGrammarAccess.SuiteReturnElements` |
    `class` | `DSLGrammarAccess.SuiteStatementElements` |
    `class` | `DSLGrammarAccess.SuiteStatementWithResultElements` |
    `class` | `DSLGrammarAccess.TableTestElements` |
    `class` | `DSLGrammarAccess.TableTestRowElements` |
    `class` | `DSLGrammarAccess.TestDefinitionElements` |
    `class` | `DSLGrammarAccess.TestElements` |
    `class` | `DSLGrammarAccess.TimeDifferenceElements` |
    `class` | `DSLGrammarAccess.TimeProgressionFactorElements` |
    `class` | `DSLGrammarAccess.TimeSetElements` |
    `class` | `DSLGrammarAccess.TimeValueElements` |
    `class` | `DSLGrammarAccess.TypedNestedObjectElements` |
    `class` | `DSLGrammarAccess.USDateAnd12HrsTimeValueElements` |
    `class` | `DSLGrammarAccess.USDateValueElements` |
    `class` | `DSLGrammarAccess.ValueElements` |
    `class` | `DSLGrammarAccess.ValueOrEnumValueOrOperationCollectionElements` |
    `class` | `DSLGrammarAccess.ValueOrEnumValueOrOperationElements` |
    `class` | `DSLGrammarAccess.VariableAssignmentElements` |
    `class` | `DSLGrammarAccess.VariableDefinitionElements` |
    `class` | `DSLGrammarAccess.VariableElements` |
    `class` | `DSLGrammarAccess.VariableEntityElements` |
    `class` | `DSLGrammarAccess.VariableOrConstantEntityElements` |
    `class` | `DSLGrammarAccess.VariableVariableElements` |
    `class` | `DSLGrammarAccess.VariantDefinitionElements` |
    `class` | `DSLGrammarAccess.VariantValueElements` |
    `class` | `DSLGrammarAccess.VisibleCommentElements` |
    `class` | `DSLGrammarAccess.VisibleDividerElements` |
    `class` | `DSLGrammarAccess.VisibleMultiLineCommentElements` |
    `class` | `DSLGrammarAccess.VisibleMultiLineNormalCommentElements` |
    `class` | `DSLGrammarAccess.VisibleMultiLineTitleCommentElements` |
    `class` | `DSLGrammarAccess.VisibleSingleLineCommentElements` |
    `class` | `DSLGrammarAccess.VisibleSingleLineNormalCommentElements` |
    `class` | `DSLGrammarAccess.VisibleSingleLineTitleCommentElements` |

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.IGrammarAccess

      `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLGrammarAccess​(org.eclipse.xtext.service.GrammarProvider grammarProvider)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.TerminalRule` | `getANY_OTHERRule()` |
    `DSLGrammarAccess.ArbitraryParameterOrResultNameElements` | `getArbitraryParameterOrResultNameAccess()` |
    `org.eclipse.xtext.ParserRule` | `getArbitraryParameterOrResultNameRule()` |
    `org.eclipse.xtext.TerminalRule` | `getBOOLEAN_FALSERule()` |
    `org.eclipse.xtext.TerminalRule` | `getBOOLEAN_TRUERule()` |
    `DSLGrammarAccess.BooleanValueElements` | `getBooleanValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getBooleanValueRule()` |
    `DSLGrammarAccess.CallElements` | `getCallAccess()` |
    `DSLGrammarAccess.CallDefinitionElements` | `getCallDefinitionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getCallDefinitionRule()` |
    `org.eclipse.xtext.ParserRule` | `getCallRule()` |
    `DSLGrammarAccess.ConstantElements` | `getConstantAccess()` |
    `DSLGrammarAccess.ConstantDefinitionElements` | `getConstantDefinitionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getConstantDefinitionRule()` |
    `DSLGrammarAccess.ConstantEntityElements` | `getConstantEntityAccess()` |
    `org.eclipse.xtext.ParserRule` | `getConstantEntityRule()` |
    `org.eclipse.xtext.ParserRule` | `getConstantRule()` |
    `DSLGrammarAccess.ConstantValueElements` | `getConstantValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getConstantValueRule()` |
    `DSLGrammarAccess.CustomOperationElements` | `getCustomOperationAccess()` |
    `org.eclipse.xtext.ParserRule` | `getCustomOperationRule()` |
    `DSLGrammarAccess.DateAndTimeValueElements` | `getDateAndTimeValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getDateAndTimeValueRule()` |
    `DSLGrammarAccess.DateValueElements` | `getDateValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getDateValueRule()` |
    `org.eclipse.xtext.TerminalRule` | `getDECIMALRule()` |
    `DSLGrammarAccess.DecimalValueElements` | `getDecimalValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getDecimalValueRule()` |
    `org.eclipse.xtext.TerminalRule` | `getDIVIDERRule()` |
    `DSLGrammarAccess.DocumentationCommentElements` | `getDocumentationCommentAccess()` |
    `org.eclipse.xtext.ParserRule` | `getDocumentationCommentRule()` |
    `DSLGrammarAccess.EmptyValueElements` | `getEmptyValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getEmptyValueRule()` |
    `DSLGrammarAccess.EnumValueElements` | `getEnumValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getEnumValueRule()` |
    `org.eclipse.xtext.TerminalRule` | `getEURODATERule()` |
    `DSLGrammarAccess.EuropeanDateAnd12HrsTimeValueElements` | `getEuropeanDateAnd12HrsTimeValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getEuropeanDateAnd12HrsTimeValueRule()` |
    `DSLGrammarAccess.EuropeanDateAnd24HrsTimeValueElements` | `getEuropeanDateAnd24HrsTimeValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getEuropeanDateAnd24HrsTimeValueRule()` |
    `DSLGrammarAccess.EuropeanDateValueElements` | `getEuropeanDateValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getEuropeanDateValueRule()` |
    `DSLGrammarAccess.ExecutionMultiplierElements` | `getExecutionMultiplierAccess()` |
    `org.eclipse.xtext.ParserRule` | `getExecutionMultiplierRule()` |
    `DSLGrammarAccess.FixedParameterNameElements` | `getFixedParameterNameAccess()` |
    `org.eclipse.xtext.ParserRule` | `getFixedParameterNameRule()` |
    `DSLGrammarAccess.FixedResultNameElements` | `getFixedResultNameAccess()` |
    `org.eclipse.xtext.ParserRule` | `getFixedResultNameRule()` |
    `DSLGrammarAccess.ForkDefinitionElements` | `getForkDefinitionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getForkDefinitionRule()` |
    `DSLGrammarAccess.ForkParameterElements` | `getForkParameterAccess()` |
    `org.eclipse.xtext.ParserRule` | `getForkParameterRule()` |
    `org.eclipse.xtext.Grammar` | `getGrammar()` |
    `org.eclipse.xtext.TerminalRule` | `getIDRule()` |
    `DSLGrammarAccess.ImportElements` | `getImportAccess()` |
    `org.eclipse.xtext.ParserRule` | `getImportRule()` |
    `DSLGrammarAccess.InexistentValueElements` | `getInexistentValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getInexistentValueRule()` |
    `org.eclipse.xtext.TerminalRule` | `getINTEGERRule()` |
    `DSLGrammarAccess.IntegerValueElements` | `getIntegerValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getIntegerValueRule()` |
    `DSLGrammarAccess.IsoDateAndTimeValueElements` | `getIsoDateAndTimeValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getIsoDateAndTimeValueRule()` |
    `org.eclipse.xtext.TerminalRule` | `getISODATERule()` |
    `DSLGrammarAccess.IsoDateValueElements` | `getIsoDateValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getIsoDateValueRule()` |
    `org.eclipse.xtext.TerminalRule` | `getISOTIMERule()` |
    `DSLGrammarAccess.IsoTimeValueElements` | `getIsoTimeValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getIsoTimeValueRule()` |
    `org.eclipse.xtext.TerminalRule` | `getISOTIMEZONERule()` |
    `DSLGrammarAccess.JavaClassReferenceElements` | `getJavaClassReferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJavaClassReferenceRule()` |
    `DSLGrammarAccess.JavaConstantReferenceElements` | `getJavaConstantReferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJavaConstantReferenceRule()` |
    `DSLGrammarAccess.JavaConstantValueElements` | `getJavaConstantValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJavaConstantValueRule()` |
    `DSLGrammarAccess.KeyValuePairElements` | `getKeyValuePairAccess()` |
    `org.eclipse.xtext.ParserRule` | `getKeyValuePairRule()` |
    `DSLGrammarAccess.MethodReferenceElements` | `getMethodReferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getMethodReferenceRule()` |
    `org.eclipse.xtext.TerminalRule` | `getML_COMMENTRule()` |
    `org.eclipse.xtext.TerminalRule` | `getML_DOC_COMMENTRule()` |
    `org.eclipse.xtext.TerminalRule` | `getML_VISIBLE_COMMENTRule()` |
    `org.eclipse.xtext.TerminalRule` | `getML_VISIBLE_TITLE_COMMENTRule()` |
    `DSLGrammarAccess.ModelElements` | `getModelAccess()` |
    `org.eclipse.xtext.ParserRule` | `getModelRule()` |
    `org.eclipse.xtext.TerminalRule` | `getMULTIPLIERRule()` |
    `DSLGrammarAccess.NamedCallResultElements` | `getNamedCallResultAccess()` |
    `org.eclipse.xtext.ParserRule` | `getNamedCallResultRule()` |
    `DSLGrammarAccess.NamedResultElements` | `getNamedResultAccess()` |
    `org.eclipse.xtext.ParserRule` | `getNamedResultRule()` |
    `DSLGrammarAccess.NestedObjectElements` | `getNestedObjectAccess()` |
    `org.eclipse.xtext.ParserRule` | `getNestedObjectRule()` |
    `org.eclipse.xtext.TerminalRule` | `getNEWLINERule()` |
    `DSLGrammarAccess.NLElements` | `getNLAccess()` |
    `DSLGrammarAccess.NLFORCEDElements` | `getNLFORCEDAccess()` |
    `org.eclipse.xtext.ParserRule` | `getNLFORCEDRule()` |
    `org.eclipse.xtext.ParserRule` | `getNLRule()` |
    `DSLGrammarAccess.NullValueElements` | `getNullValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getNullValueRule()` |
    `DSLGrammarAccess.OperationElements` | `getOperationAccess()` |
    `DSLGrammarAccess.OperationDefinitionElements` | `getOperationDefinitionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getOperationDefinitionRule()` |
    `org.eclipse.xtext.ParserRule` | `getOperationRule()` |
    `DSLGrammarAccess.PackageDefinitionElements` | `getPackageDefinitionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getPackageDefinitionRule()` |
    `DSLGrammarAccess.PackageStatementElements` | `getPackageStatementAccess()` |
    `org.eclipse.xtext.ParserRule` | `getPackageStatementRule()` |
    `DSLGrammarAccess.ParameterElements` | `getParameterAccess()` |
    `DSLGrammarAccess.ParameterNameElements` | `getParameterNameAccess()` |
    `org.eclipse.xtext.ParserRule` | `getParameterNameRule()` |
    `org.eclipse.xtext.ParserRule` | `getParameterRule()` |
    `DSLGrammarAccess.ParameterTableHeaderElements` | `getParameterTableHeaderAccess()` |
    `org.eclipse.xtext.ParserRule` | `getParameterTableHeaderRule()` |
    `DSLGrammarAccess.ParameterTableValueElements` | `getParameterTableValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getParameterTableValueRule()` |
    `DSLGrammarAccess.QualifiedJavaClassNameElements` | `getQualifiedJavaClassNameAccess()` |
    `org.eclipse.xtext.ParserRule` | `getQualifiedJavaClassNameRule()` |
    `DSLGrammarAccess.QualifiedNameElements` | `getQualifiedNameAccess()` |
    `org.eclipse.xtext.ParserRule` | `getQualifiedNameRule()` |
    `DSLGrammarAccess.QualifiedNameWithWildcardElements` | `getQualifiedNameWithWildcardAccess()` |
    `org.eclipse.xtext.ParserRule` | `getQualifiedNameWithWildcardRule()` |
    `org.eclipse.xtext.TerminalRule` | `getREGEXRule()` |
    `DSLGrammarAccess.RegexValueElements` | `getRegexValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getRegexValueRule()` |
    `DSLGrammarAccess.ResultNameElements` | `getResultNameAccess()` |
    `org.eclipse.xtext.ParserRule` | `getResultNameRule()` |
    `DSLGrammarAccess.ResultTableHeaderElements` | `getResultTableHeaderAccess()` |
    `org.eclipse.xtext.ParserRule` | `getResultTableHeaderRule()` |
    `DSLGrammarAccess.Simple12HrsTimeValueElements` | `getSimple12HrsTimeValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getSimple12HrsTimeValueRule()` |
    `DSLGrammarAccess.Simple24HrsTimeValueElements` | `getSimple24HrsTimeValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getSimple24HrsTimeValueRule()` |
    `org.eclipse.xtext.TerminalRule` | `getSL_COMMENTRule()` |
    `org.eclipse.xtext.TerminalRule` | `getSL_VISIBLE_COMMENTRule()` |
    `org.eclipse.xtext.TerminalRule` | `getSL_VISIBLE_TITLE_COMMENTRule()` |
    `DSLGrammarAccess.StandardOperationElements` | `getStandardOperationAccess()` |
    `org.eclipse.xtext.ParserRule` | `getStandardOperationRule()` |
    `DSLGrammarAccess.StatementElements` | `getStatementAccess()` |
    `org.eclipse.xtext.ParserRule` | `getStatementRule()` |
    `DSLGrammarAccess.StaticValueElements` | `getStaticValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getStaticValueRule()` |
    `org.eclipse.xtext.TerminalRule` | `getSTRINGRule()` |
    `DSLGrammarAccess.StringValueElements` | `getStringValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getStringValueRule()` |
    `DSLGrammarAccess.SuiteElements` | `getSuiteAccess()` |
    `DSLGrammarAccess.SuiteDefinitionElements` | `getSuiteDefinitionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getSuiteDefinitionRule()` |
    `DSLGrammarAccess.SuiteParameterElements` | `getSuiteParameterAccess()` |
    `DSLGrammarAccess.SuiteParameterDefinitionElements` | `getSuiteParameterDefinitionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getSuiteParameterDefinitionRule()` |
    `org.eclipse.xtext.ParserRule` | `getSuiteParameterRule()` |
    `DSLGrammarAccess.SuiteReturnElements` | `getSuiteReturnAccess()` |
    `DSLGrammarAccess.SuiteReturnDefinitionElements` | `getSuiteReturnDefinitionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getSuiteReturnDefinitionRule()` |
    `org.eclipse.xtext.ParserRule` | `getSuiteReturnRule()` |
    `org.eclipse.xtext.ParserRule` | `getSuiteRule()` |
    `DSLGrammarAccess.SuiteStatementElements` | `getSuiteStatementAccess()` |
    `org.eclipse.xtext.ParserRule` | `getSuiteStatementRule()` |
    `DSLGrammarAccess.SuiteStatementWithResultElements` | `getSuiteStatementWithResultAccess()` |
    `org.eclipse.xtext.ParserRule` | `getSuiteStatementWithResultRule()` |
    `DSLGrammarAccess.TableTestElements` | `getTableTestAccess()` |
    `DSLGrammarAccess.TableTestRowElements` | `getTableTestRowAccess()` |
    `org.eclipse.xtext.ParserRule` | `getTableTestRowRule()` |
    `org.eclipse.xtext.ParserRule` | `getTableTestRule()` |
    `DSLGrammarAccess.TestElements` | `getTestAccess()` |
    `DSLGrammarAccess.TestDefinitionElements` | `getTestDefinitionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getTestDefinitionRule()` |
    `org.eclipse.xtext.ParserRule` | `getTestRule()` |
    `DSLGrammarAccess.TimeDifferenceElements` | `getTimeDifferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getTimeDifferenceRule()` |
    `DSLGrammarAccess.TimeProgressionFactorElements` | `getTimeProgressionFactorAccess()` |
    `org.eclipse.xtext.ParserRule` | `getTimeProgressionFactorRule()` |
    `DSLGrammarAccess.TimeSetElements` | `getTimeSetAccess()` |
    `org.eclipse.xtext.ParserRule` | `getTimeSetRule()` |
    `org.eclipse.xtext.TerminalRule` | `getTIMESPANRule()` |
    `DSLGrammarAccess.TimeValueElements` | `getTimeValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getTimeValueRule()` |
    `org.eclipse.xtext.TerminalRule` | `getTWELVEHRSTIMERule()` |
    `org.eclipse.xtext.TerminalRule` | `getTWENTYFOURHRSTIMERule()` |
    `DSLGrammarAccess.TypedNestedObjectElements` | `getTypedNestedObjectAccess()` |
    `org.eclipse.xtext.ParserRule` | `getTypedNestedObjectRule()` |
    `org.eclipse.xtext.TerminalRule` | `getUPPERCASE_IDRule()` |
    `DSLGrammarAccess.USDateAnd12HrsTimeValueElements` | `getUSDateAnd12HrsTimeValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getUSDateAnd12HrsTimeValueRule()` |
    `org.eclipse.xtext.TerminalRule` | `getUSDATERule()` |
    `DSLGrammarAccess.USDateValueElements` | `getUSDateValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getUSDateValueRule()` |
    `DSLGrammarAccess.ValueElements` | `getValueAccess()` |
    `DSLGrammarAccess.ValueOrEnumValueOrOperationElements` | `getValueOrEnumValueOrOperationAccess()` |
    `DSLGrammarAccess.ValueOrEnumValueOrOperationCollectionElements` | `getValueOrEnumValueOrOperationCollectionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getValueOrEnumValueOrOperationCollectionRule()` |
    `org.eclipse.xtext.ParserRule` | `getValueOrEnumValueOrOperationRule()` |
    `org.eclipse.xtext.ParserRule` | `getValueRule()` |
    `DSLGrammarAccess.VariableElements` | `getVariableAccess()` |
    `DSLGrammarAccess.VariableAssignmentElements` | `getVariableAssignmentAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVariableAssignmentRule()` |
    `DSLGrammarAccess.VariableDefinitionElements` | `getVariableDefinitionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVariableDefinitionRule()` |
    `DSLGrammarAccess.VariableEntityElements` | `getVariableEntityAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVariableEntityRule()` |
    `DSLGrammarAccess.VariableOrConstantEntityElements` | `getVariableOrConstantEntityAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVariableOrConstantEntityRule()` |
    `org.eclipse.xtext.ParserRule` | `getVariableRule()` |
    `DSLGrammarAccess.VariableVariableElements` | `getVariableVariableAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVariableVariableRule()` |
    `DSLGrammarAccess.VariantDefinitionElements` | `getVariantDefinitionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVariantDefinitionRule()` |
    `DSLGrammarAccess.VariantValueElements` | `getVariantValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVariantValueRule()` |
    `DSLGrammarAccess.VisibleCommentElements` | `getVisibleCommentAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVisibleCommentRule()` |
    `DSLGrammarAccess.VisibleDividerElements` | `getVisibleDividerAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVisibleDividerRule()` |
    `DSLGrammarAccess.VisibleMultiLineCommentElements` | `getVisibleMultiLineCommentAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVisibleMultiLineCommentRule()` |
    `DSLGrammarAccess.VisibleMultiLineNormalCommentElements` | `getVisibleMultiLineNormalCommentAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVisibleMultiLineNormalCommentRule()` |
    `DSLGrammarAccess.VisibleMultiLineTitleCommentElements` | `getVisibleMultiLineTitleCommentAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVisibleMultiLineTitleCommentRule()` |
    `DSLGrammarAccess.VisibleSingleLineCommentElements` | `getVisibleSingleLineCommentAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVisibleSingleLineCommentRule()` |
    `DSLGrammarAccess.VisibleSingleLineNormalCommentElements` | `getVisibleSingleLineNormalCommentAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVisibleSingleLineNormalCommentRule()` |
    `DSLGrammarAccess.VisibleSingleLineTitleCommentElements` | `getVisibleSingleLineTitleCommentAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVisibleSingleLineTitleCommentRule()` |
    `org.eclipse.xtext.TerminalRule` | `getWSRule()` |
    `protected org.eclipse.xtext.Grammar` | `internalFindGrammar​(org.eclipse.xtext.service.GrammarProvider grammarProvider)` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.xtext.IGrammarAccess

      `findKeywordPairs, findKeywords, findRuleCalls`

- - ### Constructor Detail

    - #### DSLGrammarAccess

          @Inject
          public DSLGrammarAccess​(org.eclipse.xtext.service.GrammarProvider grammarProvider)

  - ### Method Detail

    - #### internalFindGrammar

          protected org.eclipse.xtext.Grammar internalFindGrammar​(org.eclipse.xtext.service.GrammarProvider grammarProvider)

    - #### getGrammar

          public org.eclipse.xtext.Grammar getGrammar()

    - #### getModelAccess

          public DSLGrammarAccess.ModelElements getModelAccess()

    - #### getModelRule

          public org.eclipse.xtext.ParserRule getModelRule()

    - #### getStatementAccess

          public DSLGrammarAccess.StatementElements getStatementAccess()

    - #### getStatementRule

          public org.eclipse.xtext.ParserRule getStatementRule()

    - #### getVisibleCommentAccess

          public DSLGrammarAccess.VisibleCommentElements getVisibleCommentAccess()

    - #### getVisibleCommentRule

          public org.eclipse.xtext.ParserRule getVisibleCommentRule()

    - #### getVisibleSingleLineCommentAccess

          public DSLGrammarAccess.VisibleSingleLineCommentElements getVisibleSingleLineCommentAccess()

    - #### getVisibleSingleLineCommentRule

          public org.eclipse.xtext.ParserRule getVisibleSingleLineCommentRule()

    - #### getVisibleSingleLineNormalCommentAccess

          public DSLGrammarAccess.VisibleSingleLineNormalCommentElements getVisibleSingleLineNormalCommentAccess()

    - #### getVisibleSingleLineNormalCommentRule

          public org.eclipse.xtext.ParserRule getVisibleSingleLineNormalCommentRule()

    - #### getVisibleSingleLineTitleCommentAccess

          public DSLGrammarAccess.VisibleSingleLineTitleCommentElements getVisibleSingleLineTitleCommentAccess()

    - #### getVisibleSingleLineTitleCommentRule

          public org.eclipse.xtext.ParserRule getVisibleSingleLineTitleCommentRule()

    - #### getVisibleMultiLineCommentAccess

          public DSLGrammarAccess.VisibleMultiLineCommentElements getVisibleMultiLineCommentAccess()

    - #### getVisibleMultiLineCommentRule

          public org.eclipse.xtext.ParserRule getVisibleMultiLineCommentRule()

    - #### getVisibleMultiLineNormalCommentAccess

          public DSLGrammarAccess.VisibleMultiLineNormalCommentElements getVisibleMultiLineNormalCommentAccess()

    - #### getVisibleMultiLineNormalCommentRule

          public org.eclipse.xtext.ParserRule getVisibleMultiLineNormalCommentRule()

    - #### getVisibleMultiLineTitleCommentAccess

          public DSLGrammarAccess.VisibleMultiLineTitleCommentElements getVisibleMultiLineTitleCommentAccess()

    - #### getVisibleMultiLineTitleCommentRule

          public org.eclipse.xtext.ParserRule getVisibleMultiLineTitleCommentRule()

    - #### getVisibleDividerAccess

          public DSLGrammarAccess.VisibleDividerElements getVisibleDividerAccess()

    - #### getVisibleDividerRule

          public org.eclipse.xtext.ParserRule getVisibleDividerRule()

    - #### getPackageDefinitionAccess

          public DSLGrammarAccess.PackageDefinitionElements getPackageDefinitionAccess()

    - #### getPackageDefinitionRule

          public org.eclipse.xtext.ParserRule getPackageDefinitionRule()

    - #### getPackageStatementAccess

          public DSLGrammarAccess.PackageStatementElements getPackageStatementAccess()

    - #### getPackageStatementRule

          public org.eclipse.xtext.ParserRule getPackageStatementRule()

    - #### getImportAccess

          public DSLGrammarAccess.ImportElements getImportAccess()

    - #### getImportRule

          public org.eclipse.xtext.ParserRule getImportRule()

    - #### getForkDefinitionAccess

          public DSLGrammarAccess.ForkDefinitionElements getForkDefinitionAccess()

    - #### getForkDefinitionRule

          public org.eclipse.xtext.ParserRule getForkDefinitionRule()

    - #### getForkParameterAccess

          public DSLGrammarAccess.ForkParameterElements getForkParameterAccess()

    - #### getForkParameterRule

          public org.eclipse.xtext.ParserRule getForkParameterRule()

    - #### getVariantDefinitionAccess

          public DSLGrammarAccess.VariantDefinitionElements getVariantDefinitionAccess()

    - #### getVariantDefinitionRule

          public org.eclipse.xtext.ParserRule getVariantDefinitionRule()

    - #### getTestDefinitionAccess

          public DSLGrammarAccess.TestDefinitionElements getTestDefinitionAccess()

    - #### getTestDefinitionRule

          public org.eclipse.xtext.ParserRule getTestDefinitionRule()

    - #### getCallDefinitionAccess

          public DSLGrammarAccess.CallDefinitionElements getCallDefinitionAccess()

    - #### getCallDefinitionRule

          public org.eclipse.xtext.ParserRule getCallDefinitionRule()

    - #### getSuiteDefinitionAccess

          public DSLGrammarAccess.SuiteDefinitionElements getSuiteDefinitionAccess()

    - #### getSuiteDefinitionRule

          public org.eclipse.xtext.ParserRule getSuiteDefinitionRule()

    - #### getSuiteParameterDefinitionAccess

          public DSLGrammarAccess.SuiteParameterDefinitionElements getSuiteParameterDefinitionAccess()

    - #### getSuiteParameterDefinitionRule

          public org.eclipse.xtext.ParserRule getSuiteParameterDefinitionRule()

    - #### getSuiteReturnDefinitionAccess

          public DSLGrammarAccess.SuiteReturnDefinitionElements getSuiteReturnDefinitionAccess()

    - #### getSuiteReturnDefinitionRule

          public org.eclipse.xtext.ParserRule getSuiteReturnDefinitionRule()

    - #### getOperationDefinitionAccess

          public DSLGrammarAccess.OperationDefinitionElements getOperationDefinitionAccess()

    - #### getOperationDefinitionRule

          public org.eclipse.xtext.ParserRule getOperationDefinitionRule()

    - #### getSuiteStatementAccess

          public DSLGrammarAccess.SuiteStatementElements getSuiteStatementAccess()

    - #### getSuiteStatementRule

          public org.eclipse.xtext.ParserRule getSuiteStatementRule()

    - #### getSuiteStatementWithResultAccess

          public DSLGrammarAccess.SuiteStatementWithResultElements getSuiteStatementWithResultAccess()

    - #### getSuiteStatementWithResultRule

          public org.eclipse.xtext.ParserRule getSuiteStatementWithResultRule()

    - #### getVariableDefinitionAccess

          public DSLGrammarAccess.VariableDefinitionElements getVariableDefinitionAccess()

    - #### getVariableDefinitionRule

          public org.eclipse.xtext.ParserRule getVariableDefinitionRule()

    - #### getConstantDefinitionAccess

          public DSLGrammarAccess.ConstantDefinitionElements getConstantDefinitionAccess()

    - #### getConstantDefinitionRule

          public org.eclipse.xtext.ParserRule getConstantDefinitionRule()

    - #### getVariableAssignmentAccess

          public DSLGrammarAccess.VariableAssignmentElements getVariableAssignmentAccess()

    - #### getVariableAssignmentRule

          public org.eclipse.xtext.ParserRule getVariableAssignmentRule()

    - #### getVariantValueAccess

          public DSLGrammarAccess.VariantValueElements getVariantValueAccess()

    - #### getVariantValueRule

          public org.eclipse.xtext.ParserRule getVariantValueRule()

    - #### getVariableEntityAccess

          public DSLGrammarAccess.VariableEntityElements getVariableEntityAccess()

    - #### getVariableEntityRule

          public org.eclipse.xtext.ParserRule getVariableEntityRule()

    - #### getConstantEntityAccess

          public DSLGrammarAccess.ConstantEntityElements getConstantEntityAccess()

    - #### getConstantEntityRule

          public org.eclipse.xtext.ParserRule getConstantEntityRule()

    - #### getVariableOrConstantEntityAccess

          public DSLGrammarAccess.VariableOrConstantEntityElements getVariableOrConstantEntityAccess()

    - #### getVariableOrConstantEntityRule

          public org.eclipse.xtext.ParserRule getVariableOrConstantEntityRule()

    - #### getTestAccess

          public DSLGrammarAccess.TestElements getTestAccess()

    - #### getTestRule

          public org.eclipse.xtext.ParserRule getTestRule()

    - #### getTableTestAccess

          public DSLGrammarAccess.TableTestElements getTableTestAccess()

    - #### getTableTestRule

          public org.eclipse.xtext.ParserRule getTableTestRule()

    - #### getTableTestRowAccess

          public DSLGrammarAccess.TableTestRowElements getTableTestRowAccess()

    - #### getTableTestRowRule

          public org.eclipse.xtext.ParserRule getTableTestRowRule()

    - #### getParameterTableHeaderAccess

          public DSLGrammarAccess.ParameterTableHeaderElements getParameterTableHeaderAccess()

    - #### getParameterTableHeaderRule

          public org.eclipse.xtext.ParserRule getParameterTableHeaderRule()

    - #### getResultTableHeaderAccess

          public DSLGrammarAccess.ResultTableHeaderElements getResultTableHeaderAccess()

    - #### getResultTableHeaderRule

          public org.eclipse.xtext.ParserRule getResultTableHeaderRule()

    - #### getParameterTableValueAccess

          public DSLGrammarAccess.ParameterTableValueElements getParameterTableValueAccess()

    - #### getParameterTableValueRule

          public org.eclipse.xtext.ParserRule getParameterTableValueRule()

    - #### getNamedResultAccess

          public DSLGrammarAccess.NamedResultElements getNamedResultAccess()

    - #### getNamedResultRule

          public org.eclipse.xtext.ParserRule getNamedResultRule()

    - #### getResultNameAccess

          public DSLGrammarAccess.ResultNameElements getResultNameAccess()

    - #### getResultNameRule

          public org.eclipse.xtext.ParserRule getResultNameRule()

    - #### getFixedResultNameAccess

          public DSLGrammarAccess.FixedResultNameElements getFixedResultNameAccess()

    - #### getFixedResultNameRule

          public org.eclipse.xtext.ParserRule getFixedResultNameRule()

    - #### getCallAccess

          public DSLGrammarAccess.CallElements getCallAccess()

    - #### getCallRule

          public org.eclipse.xtext.ParserRule getCallRule()

    - #### getNamedCallResultAccess

          public DSLGrammarAccess.NamedCallResultElements getNamedCallResultAccess()

    - #### getNamedCallResultRule

          public org.eclipse.xtext.ParserRule getNamedCallResultRule()

    - #### getTimeSetAccess

          public DSLGrammarAccess.TimeSetElements getTimeSetAccess()

    - #### getTimeSetRule

          public org.eclipse.xtext.ParserRule getTimeSetRule()

    - #### getTimeProgressionFactorAccess

          public DSLGrammarAccess.TimeProgressionFactorElements getTimeProgressionFactorAccess()

    - #### getTimeProgressionFactorRule

          public org.eclipse.xtext.ParserRule getTimeProgressionFactorRule()

    - #### getTimeDifferenceAccess

          public DSLGrammarAccess.TimeDifferenceElements getTimeDifferenceAccess()

    - #### getTimeDifferenceRule

          public org.eclipse.xtext.ParserRule getTimeDifferenceRule()

    - #### getSuiteAccess

          public DSLGrammarAccess.SuiteElements getSuiteAccess()

    - #### getSuiteRule

          public org.eclipse.xtext.ParserRule getSuiteRule()

    - #### getSuiteParameterAccess

          public DSLGrammarAccess.SuiteParameterElements getSuiteParameterAccess()

    - #### getSuiteParameterRule

          public org.eclipse.xtext.ParserRule getSuiteParameterRule()

    - #### getSuiteReturnAccess

          public DSLGrammarAccess.SuiteReturnElements getSuiteReturnAccess()

    - #### getSuiteReturnRule

          public org.eclipse.xtext.ParserRule getSuiteReturnRule()

    - #### getParameterAccess

          public DSLGrammarAccess.ParameterElements getParameterAccess()

    - #### getParameterRule

          public org.eclipse.xtext.ParserRule getParameterRule()

    - #### getParameterNameAccess

          public DSLGrammarAccess.ParameterNameElements getParameterNameAccess()

    - #### getParameterNameRule

          public org.eclipse.xtext.ParserRule getParameterNameRule()

    - #### getFixedParameterNameAccess

          public DSLGrammarAccess.FixedParameterNameElements getFixedParameterNameAccess()

    - #### getFixedParameterNameRule

          public org.eclipse.xtext.ParserRule getFixedParameterNameRule()

    - #### getArbitraryParameterOrResultNameAccess

          public DSLGrammarAccess.ArbitraryParameterOrResultNameElements getArbitraryParameterOrResultNameAccess()

    - #### getArbitraryParameterOrResultNameRule

          public org.eclipse.xtext.ParserRule getArbitraryParameterOrResultNameRule()

    - #### getOperationAccess

          public DSLGrammarAccess.OperationElements getOperationAccess()

    - #### getOperationRule

          public org.eclipse.xtext.ParserRule getOperationRule()

    - #### getStandardOperationAccess

          public DSLGrammarAccess.StandardOperationElements getStandardOperationAccess()

    - #### getStandardOperationRule

          public org.eclipse.xtext.ParserRule getStandardOperationRule()

    - #### getCustomOperationAccess

          public DSLGrammarAccess.CustomOperationElements getCustomOperationAccess()

    - #### getCustomOperationRule

          public org.eclipse.xtext.ParserRule getCustomOperationRule()

    - #### getValueOrEnumValueOrOperationCollectionAccess

          public DSLGrammarAccess.ValueOrEnumValueOrOperationCollectionElements getValueOrEnumValueOrOperationCollectionAccess()

    - #### getValueOrEnumValueOrOperationCollectionRule

          public org.eclipse.xtext.ParserRule getValueOrEnumValueOrOperationCollectionRule()

    - #### getValueOrEnumValueOrOperationAccess

          public DSLGrammarAccess.ValueOrEnumValueOrOperationElements getValueOrEnumValueOrOperationAccess()

    - #### getValueOrEnumValueOrOperationRule

          public org.eclipse.xtext.ParserRule getValueOrEnumValueOrOperationRule()

    - #### getValueAccess

          public DSLGrammarAccess.ValueElements getValueAccess()

    - #### getValueRule

          public org.eclipse.xtext.ParserRule getValueRule()

    - #### getConstantValueAccess

          public DSLGrammarAccess.ConstantValueElements getConstantValueAccess()

    - #### getConstantValueRule

          public org.eclipse.xtext.ParserRule getConstantValueRule()

    - #### getStaticValueAccess

          public DSLGrammarAccess.StaticValueElements getStaticValueAccess()

    - #### getStaticValueRule

          public org.eclipse.xtext.ParserRule getStaticValueRule()

    - #### getIntegerValueAccess

          public DSLGrammarAccess.IntegerValueElements getIntegerValueAccess()

    - #### getIntegerValueRule

          public org.eclipse.xtext.ParserRule getIntegerValueRule()

    - #### getDecimalValueAccess

          public DSLGrammarAccess.DecimalValueElements getDecimalValueAccess()

    - #### getDecimalValueRule

          public org.eclipse.xtext.ParserRule getDecimalValueRule()

    - #### getStringValueAccess

          public DSLGrammarAccess.StringValueElements getStringValueAccess()

    - #### getStringValueRule

          public org.eclipse.xtext.ParserRule getStringValueRule()

    - #### getRegexValueAccess

          public DSLGrammarAccess.RegexValueElements getRegexValueAccess()

    - #### getRegexValueRule

          public org.eclipse.xtext.ParserRule getRegexValueRule()

    - #### getBooleanValueAccess

          public DSLGrammarAccess.BooleanValueElements getBooleanValueAccess()

    - #### getBooleanValueRule

          public org.eclipse.xtext.ParserRule getBooleanValueRule()

    - #### getDateValueAccess

          public DSLGrammarAccess.DateValueElements getDateValueAccess()

    - #### getDateValueRule

          public org.eclipse.xtext.ParserRule getDateValueRule()

    - #### getIsoDateValueAccess

          public DSLGrammarAccess.IsoDateValueElements getIsoDateValueAccess()

    - #### getIsoDateValueRule

          public org.eclipse.xtext.ParserRule getIsoDateValueRule()

    - #### getEuropeanDateValueAccess

          public DSLGrammarAccess.EuropeanDateValueElements getEuropeanDateValueAccess()

    - #### getEuropeanDateValueRule

          public org.eclipse.xtext.ParserRule getEuropeanDateValueRule()

    - #### getUSDateValueAccess

          public DSLGrammarAccess.USDateValueElements getUSDateValueAccess()

    - #### getUSDateValueRule

          public org.eclipse.xtext.ParserRule getUSDateValueRule()

    - #### getTimeValueAccess

          public DSLGrammarAccess.TimeValueElements getTimeValueAccess()

    - #### getTimeValueRule

          public org.eclipse.xtext.ParserRule getTimeValueRule()

    - #### getIsoTimeValueAccess

          public DSLGrammarAccess.IsoTimeValueElements getIsoTimeValueAccess()

    - #### getIsoTimeValueRule

          public org.eclipse.xtext.ParserRule getIsoTimeValueRule()

    - #### getSimple24HrsTimeValueAccess

          public DSLGrammarAccess.Simple24HrsTimeValueElements getSimple24HrsTimeValueAccess()

    - #### getSimple24HrsTimeValueRule

          public org.eclipse.xtext.ParserRule getSimple24HrsTimeValueRule()

    - #### getSimple12HrsTimeValueAccess

          public DSLGrammarAccess.Simple12HrsTimeValueElements getSimple12HrsTimeValueAccess()

    - #### getSimple12HrsTimeValueRule

          public org.eclipse.xtext.ParserRule getSimple12HrsTimeValueRule()

    - #### getDateAndTimeValueAccess

          public DSLGrammarAccess.DateAndTimeValueElements getDateAndTimeValueAccess()

    - #### getDateAndTimeValueRule

          public org.eclipse.xtext.ParserRule getDateAndTimeValueRule()

    - #### getIsoDateAndTimeValueAccess

          public DSLGrammarAccess.IsoDateAndTimeValueElements getIsoDateAndTimeValueAccess()

    - #### getIsoDateAndTimeValueRule

          public org.eclipse.xtext.ParserRule getIsoDateAndTimeValueRule()

    - #### getEuropeanDateAnd24HrsTimeValueAccess

          public DSLGrammarAccess.EuropeanDateAnd24HrsTimeValueElements getEuropeanDateAnd24HrsTimeValueAccess()

    - #### getEuropeanDateAnd24HrsTimeValueRule

          public org.eclipse.xtext.ParserRule getEuropeanDateAnd24HrsTimeValueRule()

    - #### getEuropeanDateAnd12HrsTimeValueAccess

          public DSLGrammarAccess.EuropeanDateAnd12HrsTimeValueElements getEuropeanDateAnd12HrsTimeValueAccess()

    - #### getEuropeanDateAnd12HrsTimeValueRule

          public org.eclipse.xtext.ParserRule getEuropeanDateAnd12HrsTimeValueRule()

    - #### getUSDateAnd12HrsTimeValueAccess

          public DSLGrammarAccess.USDateAnd12HrsTimeValueElements getUSDateAnd12HrsTimeValueAccess()

    - #### getUSDateAnd12HrsTimeValueRule

          public org.eclipse.xtext.ParserRule getUSDateAnd12HrsTimeValueRule()

    - #### getJavaConstantValueAccess

          public DSLGrammarAccess.JavaConstantValueElements getJavaConstantValueAccess()

    - #### getJavaConstantValueRule

          public org.eclipse.xtext.ParserRule getJavaConstantValueRule()

    - #### getVariableAccess

          public DSLGrammarAccess.VariableElements getVariableAccess()

    - #### getVariableRule

          public org.eclipse.xtext.ParserRule getVariableRule()

    - #### getVariableVariableAccess

          public DSLGrammarAccess.VariableVariableElements getVariableVariableAccess()

    - #### getVariableVariableRule

          public org.eclipse.xtext.ParserRule getVariableVariableRule()

    - #### getConstantAccess

          public DSLGrammarAccess.ConstantElements getConstantAccess()

    - #### getConstantRule

          public org.eclipse.xtext.ParserRule getConstantRule()

    - #### getNullValueAccess

          public DSLGrammarAccess.NullValueElements getNullValueAccess()

    - #### getNullValueRule

          public org.eclipse.xtext.ParserRule getNullValueRule()

    - #### getInexistentValueAccess

          public DSLGrammarAccess.InexistentValueElements getInexistentValueAccess()

    - #### getInexistentValueRule

          public org.eclipse.xtext.ParserRule getInexistentValueRule()

    - #### getEmptyValueAccess

          public DSLGrammarAccess.EmptyValueElements getEmptyValueAccess()

    - #### getEmptyValueRule

          public org.eclipse.xtext.ParserRule getEmptyValueRule()

    - #### getEnumValueAccess

          public DSLGrammarAccess.EnumValueElements getEnumValueAccess()

    - #### getEnumValueRule

          public org.eclipse.xtext.ParserRule getEnumValueRule()

    - #### getNestedObjectAccess

          public DSLGrammarAccess.NestedObjectElements getNestedObjectAccess()

    - #### getNestedObjectRule

          public org.eclipse.xtext.ParserRule getNestedObjectRule()

    - #### getTypedNestedObjectAccess

          public DSLGrammarAccess.TypedNestedObjectElements getTypedNestedObjectAccess()

    - #### getTypedNestedObjectRule

          public org.eclipse.xtext.ParserRule getTypedNestedObjectRule()

    - #### getKeyValuePairAccess

          public DSLGrammarAccess.KeyValuePairElements getKeyValuePairAccess()

    - #### getKeyValuePairRule

          public org.eclipse.xtext.ParserRule getKeyValuePairRule()

    - #### getJavaClassReferenceAccess

          public DSLGrammarAccess.JavaClassReferenceElements getJavaClassReferenceAccess()

    - #### getJavaClassReferenceRule

          public org.eclipse.xtext.ParserRule getJavaClassReferenceRule()

    - #### getMethodReferenceAccess

          public DSLGrammarAccess.MethodReferenceElements getMethodReferenceAccess()

    - #### getMethodReferenceRule

          public org.eclipse.xtext.ParserRule getMethodReferenceRule()

    - #### getJavaConstantReferenceAccess

          public DSLGrammarAccess.JavaConstantReferenceElements getJavaConstantReferenceAccess()

    - #### getJavaConstantReferenceRule

          public org.eclipse.xtext.ParserRule getJavaConstantReferenceRule()

    - #### getExecutionMultiplierAccess

          public DSLGrammarAccess.ExecutionMultiplierElements getExecutionMultiplierAccess()

    - #### getExecutionMultiplierRule

          public org.eclipse.xtext.ParserRule getExecutionMultiplierRule()

    - #### getQualifiedNameAccess

          public DSLGrammarAccess.QualifiedNameElements getQualifiedNameAccess()

    - #### getQualifiedNameRule

          public org.eclipse.xtext.ParserRule getQualifiedNameRule()

    - #### getQualifiedJavaClassNameAccess

          public DSLGrammarAccess.QualifiedJavaClassNameElements getQualifiedJavaClassNameAccess()

    - #### getQualifiedJavaClassNameRule

          public org.eclipse.xtext.ParserRule getQualifiedJavaClassNameRule()

    - #### getQualifiedNameWithWildcardAccess

          public DSLGrammarAccess.QualifiedNameWithWildcardElements getQualifiedNameWithWildcardAccess()

    - #### getQualifiedNameWithWildcardRule

          public org.eclipse.xtext.ParserRule getQualifiedNameWithWildcardRule()

    - #### getDocumentationCommentAccess

          public DSLGrammarAccess.DocumentationCommentElements getDocumentationCommentAccess()

    - #### getDocumentationCommentRule

          public org.eclipse.xtext.ParserRule getDocumentationCommentRule()

    - #### getNLAccess

          public DSLGrammarAccess.NLElements getNLAccess()

    - #### getNLRule

          public org.eclipse.xtext.ParserRule getNLRule()

    - #### getNLFORCEDAccess

          public DSLGrammarAccess.NLFORCEDElements getNLFORCEDAccess()

    - #### getNLFORCEDRule

          public org.eclipse.xtext.ParserRule getNLFORCEDRule()

    - #### getBOOLEAN_TRUERule

          public org.eclipse.xtext.TerminalRule getBOOLEAN_TRUERule()

    - #### getBOOLEAN_FALSERule

          public org.eclipse.xtext.TerminalRule getBOOLEAN_FALSERule()

    - #### getUPPERCASE_IDRule

          public org.eclipse.xtext.TerminalRule getUPPERCASE_IDRule()

    - #### getIDRule

          public org.eclipse.xtext.TerminalRule getIDRule()

    - #### getINTEGERRule

          public org.eclipse.xtext.TerminalRule getINTEGERRule()

    - #### getDECIMALRule

          public org.eclipse.xtext.TerminalRule getDECIMALRule()

    - #### getSTRINGRule

          public org.eclipse.xtext.TerminalRule getSTRINGRule()

    - #### getREGEXRule

          public org.eclipse.xtext.TerminalRule getREGEXRule()

    - #### getML_COMMENTRule

          public org.eclipse.xtext.TerminalRule getML_COMMENTRule()

    - #### getSL_COMMENTRule

          public org.eclipse.xtext.TerminalRule getSL_COMMENTRule()

    - #### getSL_VISIBLE_COMMENTRule

          public org.eclipse.xtext.TerminalRule getSL_VISIBLE_COMMENTRule()

    - #### getSL_VISIBLE_TITLE_COMMENTRule

          public org.eclipse.xtext.TerminalRule getSL_VISIBLE_TITLE_COMMENTRule()

    - #### getML_VISIBLE_COMMENTRule

          public org.eclipse.xtext.TerminalRule getML_VISIBLE_COMMENTRule()

    - #### getML_VISIBLE_TITLE_COMMENTRule

          public org.eclipse.xtext.TerminalRule getML_VISIBLE_TITLE_COMMENTRule()

    - #### getML_DOC_COMMENTRule

          public org.eclipse.xtext.TerminalRule getML_DOC_COMMENTRule()

    - #### getDIVIDERRule

          public org.eclipse.xtext.TerminalRule getDIVIDERRule()

    - #### getWSRule

          public org.eclipse.xtext.TerminalRule getWSRule()

    - #### getNEWLINERule

          public org.eclipse.xtext.TerminalRule getNEWLINERule()

    - #### getISODATERule

          public org.eclipse.xtext.TerminalRule getISODATERule()

    - #### getISOTIMERule

          public org.eclipse.xtext.TerminalRule getISOTIMERule()

    - #### getISOTIMEZONERule

          public org.eclipse.xtext.TerminalRule getISOTIMEZONERule()

    - #### getEURODATERule

          public org.eclipse.xtext.TerminalRule getEURODATERule()

    - #### getUSDATERule

          public org.eclipse.xtext.TerminalRule getUSDATERule()

    - #### getTWENTYFOURHRSTIMERule

          public org.eclipse.xtext.TerminalRule getTWENTYFOURHRSTIMERule()

    - #### getTWELVEHRSTIMERule

          public org.eclipse.xtext.TerminalRule getTWELVEHRSTIMERule()

    - #### getTIMESPANRule

          public org.eclipse.xtext.TerminalRule getTIMESPANRule()

    - #### getMULTIPLIERRule

          public org.eclipse.xtext.TerminalRule getMULTIPLIERRule()

    - #### getANY_OTHERRule

          public org.eclipse.xtext.TerminalRule getANY_OTHERRule()